{% extends "base-backend.html" %}
{% block content %}

<!-- smtp_config_page -->

<div class="ds-narrow-container">

  <div class="grid ds-header-title">
    <div class="g-col-12 ds-title-with-icon-return">
      <a href="{{ url_for('admin_bp.admin_panel')}}" arial-label="return"><i data-feather="arrow-left"></i></a>
      <h1>{{ _("Email server configuration") }}</h1>
    </div>
  </div>

  <div class="grid mt-3">
    <div class="g-col-12">
      <p class="mb-0">
        {{ _("LiberaForms uses this SMTP configuration to send emails.") }}
        <a href="#" onclick="toggleInlineHelp('site_email_config.j2.md')">{{ _("Learn more") }}</a>
      </p>
    </div>
  </div>

  <div class="grid mt-3">
    <div class="g-col-12">
      <div class="card">
        <div class="card-header">
          <h2>{{ _("Configuration") }}</h2>
        </div>
        <div class="card-body">
          <form name="smtpConfigForm" method="POST" action="/site/email/config">
            {{ wtf_smtp.csrf_token }}
            <div class="form-group">
              {{ wtf_smtp.host.label(for="host", class_="form-label") }}
              {{ wtf_smtp.host(class_="form-control") }}
              {% for error in wtf_smtp.host.errors %}
                <span class="wtf-error ds-error-message">{{ error }}</span>
              {% endfor %}
            </div>
            <div class="form-group mt-4">
              {{ wtf_smtp.port.label(for="port", class_="form-label") }}
              {{ wtf_smtp.port(class_="form-control") }}
              {% for error in wtf_smtp.port.errors %}
                <span class="wtf-error ds-error-message">{{ error }}</span>
              {% endfor %}
            </div>
            <div class="form-group mt-4">
              {{ wtf_smtp.encryption.label(for="encryption", class_="form-label") }}
              {{ wtf_smtp.encryption(class_="form-select") }}
            </div>
            <div class="form-group mt-4">
              {{ wtf_smtp.user.label(for="user", class_="form-label") }}
              {{ wtf_smtp.user(class_="form-control") }}
            </div>
            <div class="form-group mt-4">
              {{ wtf_smtp.password.label(for="password", class_="form-label")}}
              <input class="form-control" id="password" name="password" type="password" value="{{wtf_smtp.password.data}}" />
            </div>
            <div class="form-group mt-4">
              {{ wtf_smtp.noreplyAddress.label(for="noreplyAddress", class_="form-label") }}
              {{ wtf_smtp.noreplyAddress(class_="form-control") }}
              {% for error in wtf_smtp.noreplyAddress.errors %}
                <span class="wtf-error ds-error-message">{{ error }}</span>
              {% endfor %}
            </div>
            <div class="mt-4">
              <input class="btn btn-primary" type="submit" value="{{ _('Save changes') }}">
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>

  <div class="grid mt-4">
    <div class="g-col-12">
      <div class="card">
        <div class="card-header">
          <h2>{{ _("Test configuration") }}</h2>
        </div>
        <div class="card-body">
          <form name="testConfigForm" method="POST" action="/site/email/test-config">
            <div class="form-group">
              {{ wtf_email.csrf_token }}
              <label for="email-recipient" class="form-label">{{ _("Email") }}</label>
              <div class="input-group">
                <input id="email-recipient" name="email" type="email" class="form-control" placeholder="person@example.com" aria-label="Recipient's username" aria-describedby="button-sendmail" />
                <button class="btn btn-primary" type="submit" id="button-sendmail">{{ _("Send") }}</button>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>

<script>
const inline_help_file_name = "site_email_config.j2.md";

$("form[name=smtpConfigForm]").parsley().on('field:validate', function(field) {
  $(field.element).closest('.form-group').find('.wtf-error').remove()
})
const parsley_options = {
  errorsContainer: function (field) {
    return $(field.element).closest(".form-group")
  }
}
$("form[name=testConfigForm]").parsley(parsley_options).on('field:validate', function(field) {
  $(field.element).closest('.form-group').find('.wtf-error').remove()
})
</script>

{% endblock %}
